Cyan Web API - Version 1


GET api/nodeRoutes/{nodeRouteId}

            Gets a NodeRoute by NodeRouteId
            

Request Information

Parameters

NameDescriptionAdditional information
nodeRouteId

Define this parameter in the request URI.

Response Information

Response body formats

application/json, text/json

Sample:
{
  "nodeRouteId": "e45cbdfc-f161-44b9-aaeb-8426b8975c2b",
  "tenantId": "506400dd-1566-4542-ae76-4b99efb38f98",
  "userId": "4d14488f-2d42-4a2d-8e6e-8561c8d6a58a",
  "userGroupId": "ccee1fcd-943d-45fd-b195-9c7ed4bf80f7",
  "deviceId": "98028d08-cfae-4a69-b47e-cef7b4ddd30a",
  "deviceGroupId": "48e20506-ce9c-4f92-a428-8124e576789b",
  "applicationId": "0abd3f3d-d2ca-4fcf-8beb-3430a876f6c1",
  "applicationVersionId": "1006e4d2-f007-4358-bbfd-4e30f7c8837c",
  "nodeId": "b9e6ce6f-fd16-4504-a428-f6aff9542140",
  "name": "sample string 4",
  "description": "sample string 5",
  "nodeCyanId": 6,
  "cyanId": 7,
  "customKey": "sample string 8",
  "customValue": "sample string 9",
  "applyParentRoutes": true,
  "applyToDescendants": true,
  "applyToTree": true,
  "applyToParents": true,
  "applyToSiblings": true,
  "applyToSiblingsType": "sample string 15",
  "ignoreNodeIdsInRouting": [
    "sample string 1",
    "sample string 2",
    "sample string 3"
  ],
  "createdDateUtc": "2026-11-13T23:59:41.7850805+00:00",
  "updatedDateUtc": "2026-11-13T23:59:41.7850805+00:00"
}

application/xml, text/xml

Sample:
<NodeRouteRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <CreatedDateUtc>2026-11-13T23:59:41.7850805+00:00</CreatedDateUtc>
  <UpdatedDateUtc>2026-11-13T23:59:41.7850805+00:00</UpdatedDateUtc>
  <ApplicationId>0abd3f3d-d2ca-4fcf-8beb-3430a876f6c1</ApplicationId>
  <ApplicationVersionId>1006e4d2-f007-4358-bbfd-4e30f7c8837c</ApplicationVersionId>
  <ApplyParentRoutes>true</ApplyParentRoutes>
  <ApplyToDescendants>true</ApplyToDescendants>
  <ApplyToParents>true</ApplyToParents>
  <ApplyToSiblings>true</ApplyToSiblings>
  <ApplyToSiblingsType>sample string 15</ApplyToSiblingsType>
  <ApplyToTree>true</ApplyToTree>
  <CustomKey>sample string 8</CustomKey>
  <CustomValue>sample string 9</CustomValue>
  <CyanId>7</CyanId>
  <Description>sample string 5</Description>
  <DeviceGroupId>48e20506-ce9c-4f92-a428-8124e576789b</DeviceGroupId>
  <DeviceId>98028d08-cfae-4a69-b47e-cef7b4ddd30a</DeviceId>
  <IgnoreNodeIdsInRouting xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
    <d2p1:string>sample string 1</d2p1:string>
    <d2p1:string>sample string 2</d2p1:string>
    <d2p1:string>sample string 3</d2p1:string>
  </IgnoreNodeIdsInRouting>
  <Name>sample string 4</Name>
  <NodeCyanId>6</NodeCyanId>
  <NodeId>b9e6ce6f-fd16-4504-a428-f6aff9542140</NodeId>
  <NodeRouteId>e45cbdfc-f161-44b9-aaeb-8426b8975c2b</NodeRouteId>
  <TenantId>506400dd-1566-4542-ae76-4b99efb38f98</TenantId>
  <UserGroupId>ccee1fcd-943d-45fd-b195-9c7ed4bf80f7</UserGroupId>
  <UserId>4d14488f-2d42-4a2d-8e6e-8561c8d6a58a</UserId>
</NodeRouteRepresentation>